Package relaxngcc.javabody

## Class JavaBodyParser

- java.lang.Object
- - relaxngcc.javabody.JavaBodyParser

- All Implemented Interfaces:
    `JavaBodyParserConstants`

      public class JavaBodyParser
      extends java.lang.Object
      implements JavaBodyParserConstants

  Parses Java code fragment inside <cc:java-body> and records all field declarations.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `java.util.Set` | `fields` |
    `Token` | `jj_nt` | Next token.
    `Token` | `token` | Current token.
    `JavaBodyParserTokenManager` | `token_source` | Generated Token Manager.

    - ### Fields inherited from interface relaxngcc.javabody.JavaBodyParserConstants

      `_DEFAULT, ABSTRACT, ANDASSIGN, ASSERT, ASSIGN, BANG, BIT_AND, BIT_OR, BOOLEAN, BREAK, BYTE, CASE, CATCH, CHAR, CHARACTER_LITERAL, CLASS, COLON, COMMA, CONST, CONTINUE, DECIMAL_LITERAL, DECR, DEFAULT, DIGIT, DO, DOT, DOUBLE, ELSE, EOF, EQ, EXPONENT, EXTENDS, FALSE, FINAL, FINALLY, FLOAT, FLOATING_POINT_LITERAL, FOR, FORMAL_COMMENT, GE, GOTO, GT, HEX_LITERAL, HOOK, IDENTIFIER, IF, IMPLEMENTS, IMPORT, IN_FORMAL_COMMENT, IN_MULTI_LINE_COMMENT, IN_SINGLE_LINE_COMMENT, INCR, INSTANCEOF, INT, INTEGER_LITERAL, INTERFACE, LBRACE, LBRACKET, LE, LETTER, LONG, LPAREN, LSHIFT, LSHIFTASSIGN, LT, MINUS, MINUSASSIGN, MULTI_LINE_COMMENT, NATIVE, NE, NEW, NULL, OCTAL_LITERAL, ORASSIGN, PACKAGE, PLUS, PLUSASSIGN, PRIVATE, PROTECTED, PUBLIC, RBRACE, RBRACKET, REM, REMASSIGN, RETURN, RPAREN, RSIGNEDSHIFT, RSIGNEDSHIFTASSIGN, RUNSIGNEDSHIFT, RUNSIGNEDSHIFTASSIGN, SC_AND, SC_OR, SEMICOLON, SHORT, SINGLE_LINE_COMMENT, SLASH, SLASHASSIGN, STAR, STARASSIGN, STATIC, STRICTFP, STRING_LITERAL, SUPER, SWITCH, SYNCHRONIZED, THIS, THROW, THROWS, TILDE, tokenImage, TRANSIENT, TRUE, TRY, VOID, VOLATILE, WHILE, XOR, XORASSIGN`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JavaBodyParser​(java.io.InputStream stream)` | Constructor with InputStream.
    `JavaBodyParser​(java.io.InputStream stream, java.lang.String encoding)` | Constructor with InputStream and supplied encoding
    `JavaBodyParser​(java.io.Reader stream)` | Constructor.
    `JavaBodyParser​(JavaBodyParserTokenManager tm)` | Constructor with generated Token Manager.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `AdditiveExpression()` |
    `void` | `AllocationExpression()` |
    `void` | `AndExpression()` |
    `void` | `ArgumentList()` |
    `void` | `Arguments()` |
    `void` | `ArrayDimsAndInits()` |
    `void` | `ArrayInitializer()` |
    `void` | `AssertStatement()` |
    `void` | `AssignmentOperator()` |
    `void` | `Block()` |
    `void` | `BlockStatement()` |
    `void` | `BooleanLiteral()` |
    `void` | `BreakStatement()` |
    `void` | `CastExpression()` |
    `void` | `CastLookahead()` |
    `void` | `ClassBody()` |
    `void` | `ClassBodyDeclaration()` |
    `void` | `ClassDeclaration()` |
    `void` | `CompilationUnit()` | THE JAVA LANGUAGE GRAMMAR STARTS HERE *
    `void` | `ConditionalAndExpression()` |
    `void` | `ConditionalExpression()` |
    `void` | `ConditionalOrExpression()` |
    `void` | `ConstructorDeclaration()` |
    `void` | `ContinueStatement()` |
    `void` | `disable_tracing()` | Disable tracing.
    `void` | `DoStatement()` |
    `void` | `EmptyStatement()` |
    `void` | `enable_tracing()` | Enable tracing.
    `void` | `EqualityExpression()` |
    `void` | `ExclusiveOrExpression()` |
    `void` | `ExplicitConstructorInvocation()` |
    `void` | `Expression()` |
    `void` | `FieldDeclaration()` |
    `void` | `ForInit()` |
    `void` | `FormalParameter()` |
    `void` | `FormalParameters()` |
    `void` | `ForStatement()` |
    `void` | `ForUpdate()` |
    `ParseException` | `generateParseException()` | Generate ParseException.
    `Token` | `getNextToken()` | Get the next Token.
    `Token` | `getToken​(int index)` | Get the specific Token.
    `void` | `IfStatement()` |
    `void` | `ImportDeclaration()` |
    `void` | `InclusiveOrExpression()` |
    `void` | `Initializer()` |
    `void` | `InstanceOfExpression()` |
    `void` | `InterfaceDeclaration()` |
    `void` | `InterfaceMemberDeclaration()` |
    `void` | `JavaBody()` |
    `void` | `LabeledStatement()` |
    `void` | `Literal()` |
    `void` | `LocalVariableDeclaration()` |
    `static void` | `main​(java.lang.String[] args)` |
    `void` | `MethodDeclaration()` |
    `void` | `MethodDeclarationLookahead()` |
    `void` | `MethodDeclarator()` |
    `void` | `MultiplicativeExpression()` |
    `void` | `Name()` |
    `void` | `NameList()` |
    `void` | `NestedClassDeclaration()` |
    `void` | `NestedInterfaceDeclaration()` |
    `void` | `NullLiteral()` |
    `void` | `PackageDeclaration()` |
    `void` | `PostfixExpression()` |
    `void` | `PreDecrementExpression()` |
    `void` | `PreIncrementExpression()` |
    `void` | `PrimaryExpression()` |
    `void` | `PrimaryPrefix()` |
    `void` | `PrimarySuffix()` |
    `void` | `PrimitiveType()` |
    `void` | `ReInit​(java.io.InputStream stream)` | Reinitialise.
    `void` | `ReInit​(java.io.InputStream stream, java.lang.String encoding)` | Reinitialise.
    `void` | `ReInit​(java.io.Reader stream)` | Reinitialise.
    `void` | `ReInit​(JavaBodyParserTokenManager tm)` | Reinitialise.
    `void` | `RelationalExpression()` |
    `void` | `ResultType()` |
    `void` | `ReturnStatement()` |
    `void` | `Semicolon()` |
    `void` | `ShiftExpression()` |
    `void` | `Statement()` |
    `void` | `StatementExpression()` |
    `void` | `StatementExpressionList()` |
    `void` | `SwitchLabel()` |
    `void` | `SwitchStatement()` |
    `void` | `SynchronizedStatement()` |
    `void` | `ThrowStatement()` |
    `void` | `TryStatement()` |
    `void` | `Type()` |
    `void` | `TypeDeclaration()` |
    `void` | `UnaryExpression()` |
    `void` | `UnaryExpressionNotPlusMinus()` |
    `void` | `UnmodifiedClassDeclaration()` |
    `void` | `UnmodifiedInterfaceDeclaration()` |
    `java.lang.String` | `VariableDeclarator()` |
    `java.lang.String` | `VariableDeclaratorId()` |
    `void` | `VariableInitializer()` |
    `void` | `WhileStatement()` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### fields

          public final java.util.Set fields

    - #### token_source

          public JavaBodyParserTokenManager token_source

      Generated Token Manager.

    - #### token

          public Token token

      Current token.

    - #### jj_nt

          public Token jj_nt

      Next token.

  - ### Constructor Detail

    - #### JavaBodyParser

          public JavaBodyParser​(java.io.InputStream stream)

      Constructor with InputStream.

    - #### JavaBodyParser

          public JavaBodyParser​(java.io.InputStream stream,
                                java.lang.String encoding)

      Constructor with InputStream and supplied encoding

    - #### JavaBodyParser

          public JavaBodyParser​(java.io.Reader stream)

      Constructor.

    - #### JavaBodyParser

          public JavaBodyParser​(JavaBodyParserTokenManager tm)

      Constructor with generated Token Manager.

  - ### Method Detail

    - #### main

          public static void main​(java.lang.String[] args)

    - #### CompilationUnit

          public final void CompilationUnit()
                                     throws ParseException

      THE JAVA LANGUAGE GRAMMAR STARTS HERE *
      Throws:
        `ParseException`

    - #### PackageDeclaration

          public final void PackageDeclaration()
                                        throws ParseException

      Throws:
        `ParseException`

    - #### ImportDeclaration

          public final void ImportDeclaration()
                                       throws ParseException

      Throws:
        `ParseException`

    - #### TypeDeclaration

          public final void TypeDeclaration()
                                     throws ParseException

      Throws:
        `ParseException`

    - #### ClassDeclaration

          public final void ClassDeclaration()
                                      throws ParseException

      Throws:
        `ParseException`

    - #### UnmodifiedClassDeclaration

          public final void UnmodifiedClassDeclaration()
                                                throws ParseException

      Throws:
        `ParseException`

    - #### ClassBody

          public final void ClassBody()
                               throws ParseException

      Throws:
        `ParseException`

    - #### NestedClassDeclaration

          public final void NestedClassDeclaration()
                                            throws ParseException

      Throws:
        `ParseException`

    - #### ClassBodyDeclaration

          public final void ClassBodyDeclaration()
                                          throws ParseException

      Throws:
        `ParseException`

    - #### MethodDeclarationLookahead

          public final void MethodDeclarationLookahead()
                                                throws ParseException

      Throws:
        `ParseException`

    - #### InterfaceDeclaration

          public final void InterfaceDeclaration()
                                          throws ParseException

      Throws:
        `ParseException`

    - #### NestedInterfaceDeclaration

          public final void NestedInterfaceDeclaration()
                                                throws ParseException

      Throws:
        `ParseException`

    - #### UnmodifiedInterfaceDeclaration

          public final void UnmodifiedInterfaceDeclaration()
                                                    throws ParseException

      Throws:
        `ParseException`

    - #### InterfaceMemberDeclaration

          public final void InterfaceMemberDeclaration()
                                                throws ParseException

      Throws:
        `ParseException`

    - #### FieldDeclaration

          public final void FieldDeclaration()
                                      throws ParseException

      Throws:
        `ParseException`

    - #### VariableDeclarator

          public final java.lang.String VariableDeclarator()
                                                    throws ParseException

      Throws:
        `ParseException`

    - #### VariableDeclaratorId

          public final java.lang.String VariableDeclaratorId()
                                                      throws ParseException

      Throws:
        `ParseException`

    - #### VariableInitializer

          public final void VariableInitializer()
                                         throws ParseException

      Throws:
        `ParseException`

    - #### ArrayInitializer

          public final void ArrayInitializer()
                                      throws ParseException

      Throws:
        `ParseException`

    - #### MethodDeclaration

          public final void MethodDeclaration()
                                       throws ParseException

      Throws:
        `ParseException`

    - #### MethodDeclarator

          public final void MethodDeclarator()
                                      throws ParseException

      Throws:
        `ParseException`

    - #### FormalParameters

          public final void FormalParameters()
                                      throws ParseException

      Throws:
        `ParseException`

    - #### FormalParameter

          public final void FormalParameter()
                                     throws ParseException

      Throws:
        `ParseException`

    - #### ConstructorDeclaration

          public final void ConstructorDeclaration()
                                            throws ParseException

      Throws:
        `ParseException`

    - #### ExplicitConstructorInvocation

          public final void ExplicitConstructorInvocation()
                                                   throws ParseException

      Throws:
        `ParseException`

    - #### Initializer

          public final void Initializer()
                                 throws ParseException

      Throws:
        `ParseException`

    - #### Type

          public final void Type()
                          throws ParseException

      Throws:
        `ParseException`

    - #### PrimitiveType

          public final void PrimitiveType()
                                   throws ParseException

      Throws:
        `ParseException`

    - #### ResultType

          public final void ResultType()
                                throws ParseException

      Throws:
        `ParseException`

    - #### Name

          public final void Name()
                          throws ParseException

      Throws:
        `ParseException`

    - #### NameList

          public final void NameList()
                              throws ParseException

      Throws:
        `ParseException`

    - #### Expression

          public final void Expression()
                                throws ParseException

      Throws:
        `ParseException`

    - #### AssignmentOperator

          public final void AssignmentOperator()
                                        throws ParseException

      Throws:
        `ParseException`

    - #### ConditionalExpression

          public final void ConditionalExpression()
                                           throws ParseException

      Throws:
        `ParseException`

    - #### ConditionalOrExpression

          public final void ConditionalOrExpression()
                                             throws ParseException

      Throws:
        `ParseException`

    - #### ConditionalAndExpression

          public final void ConditionalAndExpression()
                                              throws ParseException

      Throws:
        `ParseException`

    - #### InclusiveOrExpression

          public final void InclusiveOrExpression()
                                           throws ParseException

      Throws:
        `ParseException`

    - #### ExclusiveOrExpression

          public final void ExclusiveOrExpression()
                                           throws ParseException

      Throws:
        `ParseException`

    - #### AndExpression

          public final void AndExpression()
                                   throws ParseException

      Throws:
        `ParseException`

    - #### EqualityExpression

          public final void EqualityExpression()
                                        throws ParseException

      Throws:
        `ParseException`

    - #### InstanceOfExpression

          public final void InstanceOfExpression()
                                          throws ParseException

      Throws:
        `ParseException`

    - #### RelationalExpression

          public final void RelationalExpression()
                                          throws ParseException

      Throws:
        `ParseException`

    - #### ShiftExpression

          public final void ShiftExpression()
                                     throws ParseException

      Throws:
        `ParseException`

    - #### AdditiveExpression

          public final void AdditiveExpression()
                                        throws ParseException

      Throws:
        `ParseException`

    - #### MultiplicativeExpression

          public final void MultiplicativeExpression()
                                              throws ParseException

      Throws:
        `ParseException`

    - #### UnaryExpression

          public final void UnaryExpression()
                                     throws ParseException

      Throws:
        `ParseException`

    - #### PreIncrementExpression

          public final void PreIncrementExpression()
                                            throws ParseException

      Throws:
        `ParseException`

    - #### PreDecrementExpression

          public final void PreDecrementExpression()
                                            throws ParseException

      Throws:
        `ParseException`

    - #### UnaryExpressionNotPlusMinus

          public final void UnaryExpressionNotPlusMinus()
                                                 throws ParseException

      Throws:
        `ParseException`

    - #### CastLookahead

          public final void CastLookahead()
                                   throws ParseException

      Throws:
        `ParseException`

    - #### PostfixExpression

          public final void PostfixExpression()
                                       throws ParseException

      Throws:
        `ParseException`

    - #### CastExpression

          public final void CastExpression()
                                    throws ParseException

      Throws:
        `ParseException`

    - #### PrimaryExpression

          public final void PrimaryExpression()
                                       throws ParseException

      Throws:
        `ParseException`

    - #### PrimaryPrefix

          public final void PrimaryPrefix()
                                   throws ParseException

      Throws:
        `ParseException`

    - #### PrimarySuffix

          public final void PrimarySuffix()
                                   throws ParseException

      Throws:
        `ParseException`

    - #### Literal

          public final void Literal()
                             throws ParseException

      Throws:
        `ParseException`

    - #### BooleanLiteral

          public final void BooleanLiteral()
                                    throws ParseException

      Throws:
        `ParseException`

    - #### NullLiteral

          public final void NullLiteral()
                                 throws ParseException

      Throws:
        `ParseException`

    - #### Arguments

          public final void Arguments()
                               throws ParseException

      Throws:
        `ParseException`

    - #### Semicolon

          public final void Semicolon()
                               throws ParseException

      Throws:
        `ParseException`

    - #### ArgumentList

          public final void ArgumentList()
                                  throws ParseException

      Throws:
        `ParseException`

    - #### AllocationExpression

          public final void AllocationExpression()
                                          throws ParseException

      Throws:
        `ParseException`

    - #### ArrayDimsAndInits

          public final void ArrayDimsAndInits()
                                       throws ParseException

      Throws:
        `ParseException`

    - #### Statement

          public final void Statement()
                               throws ParseException

      Throws:
        `ParseException`

    - #### LabeledStatement

          public final void LabeledStatement()
                                      throws ParseException

      Throws:
        `ParseException`

    - #### Block

          public final void Block()
                           throws ParseException

      Throws:
        `ParseException`

    - #### BlockStatement

          public final void BlockStatement()
                                    throws ParseException

      Throws:
        `ParseException`

    - #### LocalVariableDeclaration

          public final void LocalVariableDeclaration()
                                              throws ParseException

      Throws:
        `ParseException`

    - #### EmptyStatement

          public final void EmptyStatement()
                                    throws ParseException

      Throws:
        `ParseException`

    - #### StatementExpression

          public final void StatementExpression()
                                         throws ParseException

      Throws:
        `ParseException`

    - #### SwitchStatement

          public final void SwitchStatement()
                                     throws ParseException

      Throws:
        `ParseException`

    - #### SwitchLabel

          public final void SwitchLabel()
                                 throws ParseException

      Throws:
        `ParseException`

    - #### IfStatement

          public final void IfStatement()
                                 throws ParseException

      Throws:
        `ParseException`

    - #### WhileStatement

          public final void WhileStatement()
                                    throws ParseException

      Throws:
        `ParseException`

    - #### DoStatement

          public final void DoStatement()
                                 throws ParseException

      Throws:
        `ParseException`

    - #### ForStatement

          public final void ForStatement()
                                  throws ParseException

      Throws:
        `ParseException`

    - #### ForInit

          public final void ForInit()
                             throws ParseException

      Throws:
        `ParseException`

    - #### StatementExpressionList

          public final void StatementExpressionList()
                                             throws ParseException

      Throws:
        `ParseException`

    - #### ForUpdate

          public final void ForUpdate()
                               throws ParseException

      Throws:
        `ParseException`

    - #### BreakStatement

          public final void BreakStatement()
                                    throws ParseException

      Throws:
        `ParseException`

    - #### ContinueStatement

          public final void ContinueStatement()
                                       throws ParseException

      Throws:
        `ParseException`

    - #### ReturnStatement

          public final void ReturnStatement()
                                     throws ParseException

      Throws:
        `ParseException`

    - #### ThrowStatement

          public final void ThrowStatement()
                                    throws ParseException

      Throws:
        `ParseException`

    - #### SynchronizedStatement

          public final void SynchronizedStatement()
                                           throws ParseException

      Throws:
        `ParseException`

    - #### TryStatement

          public final void TryStatement()
                                  throws ParseException

      Throws:
        `ParseException`

    - #### AssertStatement

          public final void AssertStatement()
                                     throws ParseException

      Throws:
        `ParseException`

    - #### JavaBody

          public final void JavaBody()
                              throws ParseException

      Throws:
        `ParseException`

    - #### ReInit

          public void ReInit​(java.io.InputStream stream)

      Reinitialise.

    - #### ReInit

          public void ReInit​(java.io.InputStream stream,
                             java.lang.String encoding)

      Reinitialise.

    - #### ReInit

          public void ReInit​(java.io.Reader stream)

      Reinitialise.

    - #### ReInit

          public void ReInit​(JavaBodyParserTokenManager tm)

      Reinitialise.

    - #### getNextToken

          public final Token getNextToken()

      Get the next Token.

    - #### getToken

          public final Token getToken​(int index)

      Get the specific Token.

    - #### generateParseException

          public ParseException generateParseException()

      Generate ParseException.

    - #### enable_tracing

          public final void enable_tracing()

      Enable tracing.

    - #### disable_tracing

          public final void disable_tracing()

      Disable tracing.